a {
	text-decoration: none;
	color: var(--color-link);
	outline: none;
}

a:hover,
a:focus {
	color: var(--color-link-hover);
	outline: none;
}

.hidden {
	position: absolute;
	overflow: hidden;
	width: 0;
	height: 0;
	pointer-events: none;
}

/* Icons */
.icon {
	display: block;
	width: 2em;
	height: 2em;
	margin: 0 auto;
	fill: currentColor;
}


.codrops-icon {
	display: inline-block;
	margin: 0.15em;
	padding: 0.25em;
}

.grid__item {
	position: relative;
	display: grid;
	grid-template-columns: 100%;
	grid-template-rows: 100%;
	align-items: center;
	justify-items: center;
	overflow: hidden;
	padding: 4rem 1.5rem;
	height: 100vw;
	width: 100vw;
	background: var(--color-item-bg);
}


.action {
	position: absolute;
	top: 0;
	right: 0;
	background: none;
	margin: 2rem;
	color: var(--color-action);
	border: 0;
	padding: 0;
	opacity: 0;
	pointer-events: none;
}

.action:focus {
	outline: none;
}

.particles {
	position: relative;
	grid-area: 1 / 1 / 2 / 2;
}

.particles-canvas {
	position: absolute;
	pointer-events: none;
	top: 50%;
	left: 50%;
	transform: translate3d(-50%, -50%, 0);
}

.particles-wrapper {
	position: relative;
	display: inline-block;
	overflow: hidden;
}

.particles-button {
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	position: relative;
	border-radius: 5px;
	border-radius: var(--radius-button);
	background: var(--color-button-bg);
	color: var(--color-button-text);
	border: 0;
	border: var(--border-button);
	margin: 0;
	padding: 1.5rem 3rem;
	padding: var(--button-padding);
}

.particles-button:focus {
	outline: none;
}

.no-js .particles-button {
	grid-area: 1 / 1 / 2 / 2;
}

.theme-1 {
	--color-item-bg: linear-gradient(120deg, #a8edea 0%, #fed6e3 100%);
	--color-action: #121019;
	--color-button-bg: #121019;
	--color-button-text: #fff;
	--button-padding: 1.5rem 3rem;
	--radius-button: 5px;
	--border-button: 0;
}

.theme-2 {
	--color-item-bg: linear-gradient(120deg, #7f54e6, #3F51B5);
	--color-action: #f3f3f3;
	--color-button-bg: #f3f3f3;
	--color-button-text: #3c2e9e;
	--button-padding: 1.8rem 4rem;
	--radius-button: 5px;
	--border-button: 0;
}

.theme-3 {
	--color-item-bg: linear-gradient(120deg, #152bc3, #5366d8);
	--color-action: #0e19a2;
	--color-button-bg: #0e19a2;
	--color-button-text: #fff;
	--button-padding: 2rem 4rem;
	--radius-button: 0;
	--border-button: 0;
}

.theme-4 {
	--color-item-bg: linear-gradient(120deg, #ecef3a, #ec6b9b);
	--color-action: #e85577;
	--color-button-bg: #transparent;
	--color-button-text: #e85577;
	--button-padding: 1.5rem 3rem;
	--radius-button: 15px;
	--border-button: 4px solid #e85577;
}

.theme-5 {
	--color-item-bg: linear-gradient(120deg, #baedff, #07a2da);
	--color-action: #003ff1;
	--color-button-bg: #003ff1;
	--color-button-text: #fff;
	--button-padding: 1rem 2rem;
	--radius-button: 5px;
	--border-button: 0;
}

.theme-6 {
	--color-item-bg: linear-gradient(120deg, #9C27B0, #090772);
	--color-action: #f7d337;
	--color-button-bg: #f7d337;
	--color-button-text: #000000;
	--button-padding: 1.5rem 3rem;
	--radius-button: 40px;
	--border-button: 0;
}

.theme-7 {
	--color-item-bg: linear-gradient(-20deg, #f794a4 0%, #fdd6bd 100%);
	--color-action: #e2405b;
	--color-button-bg: #e2405b;
	--color-button-text: #e9e9e9;
	--button-padding: 1.8rem 4.5rem;
	--radius-button: 0;
	--border-button: 0;
}

.theme-8 {
	--color-item-bg: linear-gradient(120deg, #84fab0, #8fd3f4);
	--color-action: blue;
	--color-button-bg: #5389ec;
	--color-button-text: #fff;
	--button-padding: 2rem 4rem;
	--radius-button: 10px;
	--border-button: 0;
}

.theme-9 {
	--color-item-bg: linear-gradient(120deg, #d299c2 0%, #fef9d7 100%);
	--color-action: #c13a3a;
	--color-button-bg: #c13a3a;
	--color-button-text: #ffffff;
	--button-padding: 1.5rem 3rem;
	--radius-button: 10px;
	--border-button: 0;
}

.theme-10 {
	--color-item-bg: linear-gradient(120deg, #fddb92 0%, #d1fdff 100%);
	--color-action: #b1b1b1;
	--color-button-bg: #b1b1b1;
	--color-button-text: #fff;
	--button-padding: 1.5rem 3rem;
	--radius-button: 0;
	--border-button: 0;
}

.theme-11 {
	--color-item-bg: linear-gradient(120deg, #fff1eb 0%, #ace0f9 100%);
	--color-action: #1b81ea;
	--color-button-bg: #fff;
	--color-button-text: #1b81ea;
	--button-padding: 2rem 4.5rem;
	--radius-button: 7px;
	--border-button: 0;
}

.theme-12 {
	--color-item-bg: linear-gradient(to right, #f78ca0 0%, #f9748f 19%, #fd868c 60%, #fe9a8b 100%);
	--color-action: #ff4d73;
	--color-button-bg: #ff4d73;
	--color-button-text: #fff;
	--button-padding: 1.5rem 7rem;
	--radius-button: 40px;
	--border-button: 0;
}

@media screen and (min-width: 50em) {
	.grid {
		display: grid;
		grid-gap: 22px;
		grid-template-columns: repeat(2, calc(50vmax - 11px));
	}

	.grid__item {
		margin: 0 auto;
		height: 200px;
		width: 600px;
		padding: 1.5rem;
	}


}